Record and graph more city statistics.

[img=https://i.imgur.com/0O9w9Ta.png]

[h1]Detailed Description[/h1]
This mod records and graphs 537 statistics over time ([url=https://steamcommunity.com/workshop/filedetails/discussion/2685974449/5545618081300254710/]full list here[/url]), many more than the game's City Statistics graph.  Most statistics from the Info Views, the City Info panels, the Economy panel, and game limits are available to be graphed over time.  The game's City Statistics graph is not changed.

Click on the More City Statistics button to view the graph.  The button and graph can be moved and the positions are remembered between games.

Statistics are grouped into categories (e.g. Electricity, Water) to make it easier to find desired statistics.  Click on a category to expand the list of statistics available in that category.  Click on Expand All to expand all categories or Collapse All to collapse all categories.

Click on a statistic to add it to the graph.  Click on the statistic again to remove it from the graph.  Click on Deselect All to remove all statistics from the graph.  Up to 10 statistics may be included at the same time.  Hover the cursor over a data point on the graph to view the detail for the data point.  Collapsing a category does not change the selection of statistics in the category.  The current value of each statistic is shown next to each statistic.  A category or statistic unique to a DLC package is available only if that DLC is active.

Choose the number of statistic snapshots to take in a month (default is 1 and all snapshots are taken at midnight).  If the Real Time or [url=https://steamcommunity.com/sharedfiles/filedetails/?id=3059406297]Real Time 2[/url] mod is enabled, choose instead the number of snapshots to take in a day (default is 1).  The more snapshots per period you choose, the larger your game save file will be.  The total number of snapshots taken is displayed.

You can choose the snapshots to show: All (all years), Since (from a year to the last snapshot taken), or Range (from a year to a year).  When the Since option is selected, move the slider to specify the From year.  When the Range option is selected, move both sliders to zoom in on a range of years.  If the Real Time or [url=https://steamcommunity.com/sharedfiles/filedetails/?id=3059406297]Real Time 2[/url] mod is enabled, the sliders are for dates instead of years.

Category expansions, statistic selections, snapshot frequency, and year/date selections are saved with the game so you can have different settings for each game.

If the graph has more than 300 data points (i.e. 25 years at 1 snapshot per month), adjacent data points are averaged together to reduce the amount of data on the graph.

See [url=https://steamcommunity.com/workshop/filedetails/discussion/2685974449/5545618081300269948/]Statistics Notes[/url] for more information about the statistics.

[h3]General Options[/h3]
You can choose to use the "Game language" (default) or a specific language for text.  "Game language" means the language chosen in the game's Gameplay options.  If "Game language" is chosen and the game's language is not supported, text defaults to English.

Regardless of the language chosen for this mod, if the game's language is one of the base game's languages (i.e not due to a mod), numbers are formatted according to the game's language.  If the game's language is some other language due to a mod, numbers use a default format.

You can choose the text size for category and statistic selections (default is Normal).  Choosing Large or Extra Large may cause some statistic descriptions to overlap with the statistic value.

The current value of statistics can be updated every 1 to 30 seconds (default is 10).

Debug logging can be included in the output_log.txt file.  The default is not included.  If you have an issue with this mod, turn this option on, restart the game, and [url=https://steamcommunity.com/sharedfiles/filedetails/?id=463645931]share your output log file[/url].

[h3]In Game Options[/h3]
These options are available only while in a game (i.e. they are hidden when viewing options from the main menu or from an editor).

Click the "Export All Statistics" button to export all statistics to a file.  Click the "Export Selected Statistics" button to export only the statistics currently selected on the graph.  The location and name of the file is shown and cannot be changed.  Even though the file has a "csv" extension (for Comma Separated Values), the file uses the tab character as a separator because some languages use a comma as a decimal symbol for numbers.  The file includes all snapshots.  Snapshot dates in the file are formatted using your system short date format, which may be different than the format of dates in the game.  The exported data can be used for further analysis, for example in a spreadsheet program.

Click the "Delete Snapshots" button to immediately delete all existing snapshots.  This can be used to restart snapshots from the current game date, for example if you don't care about the history.

The default is to "Save settings and snapshots with the game" (i.e. the option is checked).  When the option is not checked, no settings or snapshots will be saved with the game, including for Auto-Save.  This can be used to completely remove More City Statistics data from your game save file, for example if you are going to unsubscribe this mod.

[h1]Compatibility[/h1]
This mod is translated into all languages supported by the base game plus Japanese.  The translations were accomplished using a combination of the game's translations and Google Translate.  If a translation does not make sense, please provide an alternative.

This mod is compatible with Real Time and [url=https://steamcommunity.com/sharedfiles/filedetails/?id=3059406297]Real Time 2[/url] mods which drastically slow the game speed.  See the notes above on how the Real Time and Real Time 2 mods change snapshot frequency and zooming in.

This mod is compatible with [url=https://steamcommunity.com/sharedfiles/filedetails/?id=1729576238]Date Changer[/url] mod.  If the date is changed, snapshots will be taken starting from the new date.  Previously taken snapshots will be overwritten if/when the game date/time reaches those snapshot date/times.

This mod is compatible with the following mods that can change the game speed to be faster and/or slower.  Snapshots are still taken on the chosen number of snapshots per month.[list]
[*][url=https://steamcommunity.com/sharedfiles/filedetails/?id=412292157]More Simulation Speed Options[/url]
[*][url=https://steamcommunity.com/sharedfiles/filedetails/?id=1425061566]V10Speed[/url]
[*][url=https://steamcommunity.com/sharedfiles/filedetails/?id=406354745]Speed Slider (v2)[/url]
[*][url=https://steamcommunity.com/sharedfiles/filedetails/?id=2090425593]Game Speed mod[/url]
[/list]

This mod stores settings and snapshots in the game save file, but in a way that this mod can be safely disabled or unsubscribed at any time.  If this mod is disabled or unsubscribed, existing settings and snapshots remain in the game save file.  While in a game, uncheck the "Save settings and snapshots with the game" option and save the game if you want to remove settings and snapshots from the game save file.

This mod does not alter the game mechanics in any way.

This mod has been tested only on Windows but should work on Mac and Linux.

[h1]Source Code[/h1]
Available [url=https://gitlab.com/rcav8tr1/citiesskylinesmods/MoreCityStatistics]here[/url].
Change notes [url=https://steamcommunity.com/sharedfiles/filedetails/changelog/2685974449]here[/url].

[h1]Acknowledgments[/h1]
The development of this mod relied on the [url=https://steamcommunity.com/sharedfiles/filedetails/?id=450877484]ModTools[/url] mod by [url=https://steamcommunity.com/id/bloody_penguin/myworkshopfiles]BloodyPenguin[/url].